commit:     ac10149fb6adc62e4102830c8f7b715e180b4172
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 25 07:40:19 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Sep 25 07:50:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac10149f

dev-util/strace: Bump to version 5.9

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-util/strace/Manifest          |   1 +
 dev-util/strace/strace-5.9.ebuild | 104 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/dev-util/strace/Manifest b/dev-util/strace/Manifest
index 03c18e70ee1..a2928b8a19d 100644
--- a/dev-util/strace/Manifest
+++ b/dev-util/strace/Manifest
@@ -2,3 +2,4 @@ DIST strace-5.3.tar.xz 1572708 BLAKE2B 
808bc7afc6c70137c44d0f5a47706953bc7c02143
 DIST strace-5.4.tar.xz 1599396 BLAKE2B 
0a7fd9600488f5f07042ead8123151cf0113f82329c3cc786c8f3ffb8673f73eaaa1a489f1f27c47800a20e5b6327f1bf5fb09a5b798156908f9e10374a04970
 SHA512 
4ddba2ec4457a2257c18b26dca851e49a275813c4eb3069379a93fcc60228f9b63a3dee9e3719ae606a7cc61d55ab21ce147327223903c302c061e381097a8d7
 DIST strace-5.7.tar.xz 1805044 BLAKE2B 
487a1481357642be21c83cf387710bc75f17bd0af87ff07f914faa99120a619f33d2caba034d50dbdbc03aa3f758dae86d04fc6c25b3f6254ac3f0578a19884a
 SHA512 
aef481238196204495cf9507cd48ce30af799f79904478e6be57a267311a999c868f18540cc1e025f5e486730cfe9ccb256f528f6f796d204a7347ebdf2042f1
 DIST strace-5.8.tar.xz 1813640 BLAKE2B 
315edf404fa57890dcff512f9fd76818e8e7d5ad06bc297b68561ec7073297c2e5aaf2c3d9a102382f5833bedacb2a54540068a9f9438094c9180f45b5dc4715
 SHA512 
633c3daa2dd3d273839cbb8ebd7f6512a38b39af0d0d89f4676c2067e199f346615406d85e3e13f9e4da8dbeb62095185895ffae986eb99b64775a4287e38f4c
+DIST strace-5.9.tar.xz 1847036 BLAKE2B 
92d6b5e1a7821086b4e0e535d5db7849158e58ac0604fb9bb667e106b72b1ce17dfadd3960efcf553d7c7dec4622db36833aa5cdd4bc924f8b54ec6168ed82dd
 SHA512 
f28d5dcceccb44557b39ed6f295f3250662804dc3ad79959bfadffcecc9b736e532c7c90dc89ebf9d07eb3e02a5ace231605851148ca09d41c8c60dc1ff68206

diff --git a/dev-util/strace/strace-5.9.ebuild 
b/dev-util/strace/strace-5.9.ebuild
new file mode 100644
index 00000000000..c08dbf18c0a
--- /dev/null
+++ b/dev-util/strace/strace-5.9.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="https://github.com/strace/strace.git";
+       inherit git-r3 autotools
+else
+       
SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="A useful diagnostic, instructional, and debugging tool"
+HOMEPAGE="https://strace.io/";
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="aio perl static unwind elfutils"
+
+REQUIRED_USE="?? ( unwind elfutils )"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+LIB_DEPEND="
+       unwind? ( sys-libs/libunwind[static-libs(+)] )
+       elfutils? ( dev-libs/elfutils[static-libs(+)] )
+"
+# strace only uses the header from libaio to decode structs
+DEPEND="
+       static? ( ${LIB_DEPEND} )
+       aio? ( >=dev-libs/libaio-0.3.106 )
+       sys-kernel/linux-headers
+"
+RDEPEND="
+       !static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+       perl? ( dev-lang/perl )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-5.5-static.patch"
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+
+       if [[ ! -e configure ]] ; then
+               # git generation
+               sed /autoreconf/d -i bootstrap || die
+               ./bootstrap || die
+               eautoreconf
+               [[ ! -e CREDITS ]] && cp CREDITS{.in,}
+       fi
+
+       filter-lfs-flags # configure handles this sanely
+
+       export ac_cv_header_libaio_h=$(usex aio)
+       use elibc_musl && export ac_cv_header_stdc=no
+
+       # Stub out the -k test since it's known to be flaky. #545812
+       sed -i '1iexit 77' tests*/strace-k.test || die
+}
+
+src_configure() {
+       # Set up the default build settings, and then use the names strace 
expects.
+       tc-export_build_env BUILD_{CC,CPP}
+       local v bv
+       for v in CC CPP {C,CPP,LD}FLAGS ; do
+               bv="BUILD_${v}"
+               export "${v}_FOR_BUILD=${!bv}"
+       done
+
+       # Don't require mpers support on non-multilib systems. #649560
+       local myeconfargs=(
+               --disable-gcc-Werror
+               --enable-mpers=check
+               $(use_enable static)
+               $(use_with unwind libunwind)
+               $(use_with elfutils libdw)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       if has usersandbox ${FEATURES} ; then
+               ewarn "Test suite is known to fail with FEATURES=usersandbox -- 
skipping ..." #643044
+               return 0
+       fi
+
+       default
+}
+
+src_install() {
+       default
+       if ! use perl ; then
+               rm "${ED}"/usr/bin/strace-graph || die
+       fi
+       dodoc CREDITS
+}

Reply via email to